import {createElement, createSidebarPage} from "../../_global/scripts/helpers";
import {createContact} from "../../components/contact/ContactComponent";
import {SingleContactData} from "../../components/contact/ContactData";
import {createSearchResults} from "../../components/search-results/SearchResultsComponent";
import {createSearchForm} from "../../components/search-form/SearchFormComponent";
import {createTabs} from "../../atoms/tabs/TabsComponent";

export const createSearchPage = ({

}) => {
  const page = createSidebarPage({addPageDetails: false});
  const main = page.main;
  const aside = page.aside;

  main.appendChild(createSearchForm({}));
  main.appendChild(createTabs({
    data: [
      {
        label: 'Alle <strong>105 Treffer</strong>',
        link: '#',
      }, {
        label: 'Downloads <strong>29</strong>',
        link: '#',
      },
      {
        label: 'Veranstaltungen <strong>29</strong>',
        link: '#',
      }
    ]
  }))

  const results = createElement('div', ['search-results'], null, main);
  createElement('h2', ['search-hits'], '105 Treffer', results);
  results.appendChild(createSearchResults({type: 'no-border'}));
  results.appendChild(createSearchResults({type: 'downloads'}));
  results.appendChild(createSearchResults({type: 'events'}));
  results.appendChild(createSearchResults({type: 'no-border'}));

  aside.appendChild(createContact({headline: 'Kontakt', contacts: SingleContactData}));

  return page.page;
}